%define _prefix /scisoft
%define _libdir %{_prefix}/lib
%define _mandir %{_prefix}/man
%define _docdir %{_prefix}/doc

# The debuginfo package does not build due to errors, so disable it.
%define debug_package %{nil}

Name:           scisoft-eclipse
Version:        5.0.0
Release:        2%{?dist}
Summary:        ANSI C library for image and 1d signal processing.
Distribution:   Scisoft
License:        European Southern Observatory
Group:          Development/Languages
Packager:       Carlos Guirao
URL:            http://www.eso.org/sci/software/eclipse
Source0:        http://w4n.hq.eso.org/sci/software/esomidas/sources/eclipse/eclipse-main-%{version}.tar.gz
Source1:        http://w4n.hq.eso.org/sci/software/esomidas/sources/eclipse/eclipse-adonis-%{version}.tar.gz
Source2:        http://w4n.hq.eso.org/sci/software/esomidas/sources/eclipse/eclipse-conica-%{version}.tar.gz
Source3:        http://w4n.hq.eso.org/sci/software/esomidas/sources/eclipse/eclipse-isaac-%{version}.tar.gz
Source4:        http://w4n.hq.eso.org/sci/software/esomidas/sources/eclipse/eclipse-lua-%{version}.tar.gz

%description
eclipse is an ANSI C library, focused mainly on image and 1d signal processing,
with emphasis on infrared and visible images and spectra. The algorithms used in
this library have usually nothing specific to astronomy, they gather the
know-how in the field of image and signal processing and attempt to make them
useful to write astronomical data processing programs.

%prep
%setup -q -n eclipse-%{version}
(cd .. ; tar xzf %{SOURCE1})
(cd .. ; tar xzf %{SOURCE2})
(cd .. ; tar xzf %{SOURCE3})
(cd .. ; tar xzf %{SOURCE4})

%build
# NOTE: The configure script is not generated by autotools and the Makefile of
# eclipse does not support concurrent compilation.
./configure
make

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_docdir}/eclipse
install -m 755 -d %{buildroot}%{_includedir}
install -m 755 -d %{buildroot}%{_libdir}
install -m 755 -d %{buildroot}%{_mandir}
cp bin/* %{buildroot}%{_bindir}
cp -af doc/* %{buildroot}%{_docdir}/eclipse
find %{buildroot}%{_docdir}/eclipse -name .export | xargs rm -f
rmdir %{buildroot}%{_docdir}/eclipse/reference
cp `find . -name \*.a` %{buildroot}%{_libdir}
#  Move C headers into appropriate location.
cp qfits/include/* %{buildroot}%{_includedir}
#  The man directory contains html subdirectories and files
( cd man && find . \( -name '*html*' -a -prune \) -o \( -type f -print \) | cpio -pudm %{buildroot}%{_mandir} )

%files
%{_prefix}
%defattr(-,root,root,-)

%changelog
* Mon Feb 26 2018 Artur Szostak <aszostak@partner.eso.org> 5.0.0-1
- Updated to use standardised installation directory macros.
- Integrating with automated build system.

* Wed Nov 13 2013 Carlos Guirao <cguirao@eso.org>
- First integration based on SRPM
